<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
            <span jhiTranslate="mpmApp.inventoryItem.home.title">Inventory Items</span>
            </h5>
            <p-dataTable
                [value]="inventoryItems"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idInventoryItem"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                        <ul class="nav justify-content-end">
                            <li class="nav-item" *jhiHasAnyAuthority="['ROLE_ADMIN']">
                                <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;">
                                    <span>
                                        <i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="btn" [routerLink]="['/', { outlets: { popup: ['inventory-item-new'] } }]">
                                    <span>
                                        <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span>
                                </a>
                            </li>
                        </ul>
                    <!-- <ul class="nav justify-content-end">
                        <li class="nav-item">
                            <a class="btn" [routerLink]="['/', { outlets: { popup: ['inventory-item-new'] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                        </li>
                    </ul> -->
                    <div class="fieldset-legend">
                        <div class="text-left">
                        <p-accordion class="filter-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus">
                            <p-accordionTab header="Filter">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Facility </label>
                                        <select class="form-control" id="field_facility" name="facility">
                                            <option [ngValue]="null"></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Container</label>
                                        <select class="form-control" id="field_container" name="container">
                                            <option [ngValue]="null"></option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="btn-filter-wrapper">
                                <button type="button" class="btn btn-primary btn-filter">
                                    <span>FILTER  </span>
                                </button>
                            </div>
                            </p-accordionTab>
                        </p-accordion>
                        </div>
                    </div>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.inventoryItem.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.inventoryItem.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idFacility'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.facilityCode}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idContainer'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.containerCode}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idProduct'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.idProduct}} - {{rowData.itemDescription}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idFeature'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.featureCode}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.qty | number}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="{{'mpmApp.inventoryItem.qtyBooking'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.qtyBooking | number}}
                    </ng-template>
                </p-column> -->
                <p-column header="{{'mpmApp.inventoryItem.idFrame'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.idFrame}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idMachine'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.idMachine}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.labelAction'|translate}}" [style]="{'width': '120px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'inventory-item/'+ rowData.idInventoryItem + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idInventoryItem)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>